Update an Address
Updates an Address
PATCH
/
api
/
v2
/
platform
/
addresses
/
{id}
Update an Address
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
country_id: '224',
state_id: '516',
state_name: 'New York',
address1: '5th ave',
address2: '1st suite',
city: 'NY',
zipcode: '10001',
phone: '+1 123 456 789',
alternative_phone: '<string>',
firstname: 'John',
lastname: 'Snow',
label: 'My home address',
company: 'Vendo Connect Inc',
user_id: '<string>',
public_metadata: {distance_from_city_in_km: 10, location_type: 'building'},
private_metadata: {close_to_shop: true}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"country_id": "224",
"state_id": "516",
"state_name": "New York",
"address1": "5th ave",
"address2": "1st suite",
"city": "NY",
"zipcode": "10001",
"phone": "+1 123 456 789",
"alternative_phone": "<string>",
"firstname": "John",
"lastname": "Snow",
"label": "My home address",
"company": "Vendo Connect Inc",
"user_id": "<string>",
"public_metadata": {
"distance_from_city_in_km": 10,
"location_type": "building"
},
"private_metadata": {
"close_to_shop": true
}
}
}
'{
"data": {
"id": "8",
"type": "address",
"attributes": {
"firstname": "Jack",
"lastname": "Doe",
"address1": "8 Lovely Street",
"address2": "Northwest",
"city": "Herndon",
"zipcode": "35005",
"phone": "555-555-0199",
"state_name": null,
"alternative_phone": "555-555-0199",
"company": "Company",
"created_at": "2022-11-08T19:33:52.269Z",
"updated_at": "2022-11-08T19:33:52.501Z",
"deleted_at": null,
"label": null,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"country": {
"data": {
"id": "9",
"type": "country"
}
},
"state": {
"data": {
"id": "8",
"type": "state"
}
},
"user": {
"data": null
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "First Name can't be blank and Last Name can't be blank",
"errors": {
"firstname": [
"can't be blank"
],
"lastname": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update an Address
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
country_id: '224',
state_id: '516',
state_name: 'New York',
address1: '5th ave',
address2: '1st suite',
city: 'NY',
zipcode: '10001',
phone: '+1 123 456 789',
alternative_phone: '<string>',
firstname: 'John',
lastname: 'Snow',
label: 'My home address',
company: 'Vendo Connect Inc',
user_id: '<string>',
public_metadata: {distance_from_city_in_km: 10, location_type: 'building'},
private_metadata: {close_to_shop: true}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"country_id": "224",
"state_id": "516",
"state_name": "New York",
"address1": "5th ave",
"address2": "1st suite",
"city": "NY",
"zipcode": "10001",
"phone": "+1 123 456 789",
"alternative_phone": "<string>",
"firstname": "John",
"lastname": "Snow",
"label": "My home address",
"company": "Vendo Connect Inc",
"user_id": "<string>",
"public_metadata": {
"distance_from_city_in_km": 10,
"location_type": "building"
},
"private_metadata": {
"close_to_shop": true
}
}
}
'{
"data": {
"id": "8",
"type": "address",
"attributes": {
"firstname": "Jack",
"lastname": "Doe",
"address1": "8 Lovely Street",
"address2": "Northwest",
"city": "Herndon",
"zipcode": "35005",
"phone": "555-555-0199",
"state_name": null,
"alternative_phone": "555-555-0199",
"company": "Company",
"created_at": "2022-11-08T19:33:52.269Z",
"updated_at": "2022-11-08T19:33:52.501Z",
"deleted_at": null,
"label": null,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"country": {
"data": {
"id": "9",
"type": "country"
}
},
"state": {
"data": {
"id": "8",
"type": "state"
}
},
"user": {
"data": null
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "First Name can't be blank and Last Name can't be blank",
"errors": {
"firstname": [
"can't be blank"
],
"lastname": [
"can't be blank"
]
}
}
